[arch-commits] Commit in vi/repos (4 files)

Tobias Kieslich tobias at archlinux.org
Mon Jul 20 02:28:30 UTC 2009


    Date: Sunday, July 19, 2009 @ 22:28:30
  Author: tobias
Revision: 46743

Merged revisions 43549,46732,46734,46741 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/vi/trunk

........
  r43549 | tobias | 2009-06-24 23:51:45 -0700 (Wed, 24 Jun 2009) | 1 line
  
  upgpkg: vi 1.81.6-2
........
  r46732 | tobias | 2009-07-19 18:07:31 -0700 (Sun, 19 Jul 2009) | 1 line
  
  upgpkg: ex 050325-3
........
  r46734 | tobias | 2009-07-19 18:16:42 -0700 (Sun, 19 Jul 2009) | 1 line
  
  upgpkg: vi 050325-1
........
  r46741 | tobias | 2009-07-19 19:27:58 -0700 (Sun, 19 Jul 2009) | 1 line
  
  upgpkg: vi 050325-1
........

Added:
  vi/repos/testing-x86_64/du.patch
    (from rev 46741, vi/trunk/du.patch)
  vi/repos/testing-x86_64/exrc.sample
    (from rev 46741, vi/trunk/exrc.sample)
Modified:
  vi/repos/testing-x86_64/	(properties)
  vi/repos/testing-x86_64/PKGBUILD

-------------+
 PKGBUILD    |   49 +++++++++++++++++++++++-------------------
 du.patch    |   67 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 exrc.sample |    5 ++++
 3 files changed, 99 insertions(+), 22 deletions(-)


Property changes on: vi/repos/testing-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /vi/trunk:1-43543
   + /vi/trunk:1-46741

Modified: testing-x86_64/PKGBUILD
===================================================================
--- testing-x86_64/PKGBUILD	2009-07-20 02:28:20 UTC (rev 46742)
+++ testing-x86_64/PKGBUILD	2009-07-20 02:28:30 UTC (rev 46743)
@@ -1,31 +1,36 @@
 # $Id$
-# Maintainer: tobias [ tobias funnychar archlinux org ]
-# Contributor: flx <effelleks at googlemail.com>
+# Maintainer: tobias [ tobias at archlinux org ]
 
 pkgname=vi
-_pkgname=nvi
-pkgver=1.81.6
-pkgrel=2
-pkgdesc='A reimplementation of the ex/vi text editors with unicode support.'
+pkgver=050325
+pkgrel=1
+pkgdesc='The original ex/vi text editor.'
 arch=('i686' 'x86_64')
-url='http://www.kotnet.org/~skimo/nvi/'
-license=('custom:nvi')
+url='http://ex-vi.sourceforge.net/'
+license=('custom:ex')
+conflicts=('vi')
+depends=('ncurses')
 groups=('base')
-conflicts=('nvi-unicode')
-depends=('bash' 'db')
-options=(!libtool force)
-source=(http://www.kotnet.org/~skimo/nvi/devel/${_pkgname}-${pkgver}.tar.bz2 \
-        db47-hack.patch widechar.patch c_locale.patch)
+options=(force strip !libtool emptydirs)
+source=(http://downloads.sourceforge.net/sourceforge/ex-vi/ex-${pkgver}.tar.bz2
+        du.patch exrc.sample)
+md5sums=('e668595254233e4d96811083a3e4e2f3' '2d80fbc7d612963466d9ae45058a3778' \
+         'd3b483c994d859232ce369b82a4b5668')
 
 build() {
-  cd ${srcdir}/${_pkgname}-${pkgver}/
-  patch -p1 -i../db47-hack.patch || return 1
-  patch -Np1 -i ../widechar.patch || return 1
-  patch -Np1 -i ../c_locale.patch || return 1
-  cd ./build.unix
-  ../dist/configure --prefix=/usr --program-prefix= --enable-widechar
+  cd ${srcdir}/ex-${pkgver}
+  sed -i -e 's/^PREFIX.*$/PREFIX = \/usr/' Makefile
+  sed -i -e 's/^LIBEXECDIR.*$/LIBEXECDIR = $(PREFIX)\/lib\/ex/' Makefile
+  sed -i -e 's/^PRESERVEDIR.*$/PRESERVEDIR = \/var\/lib\/ex/' Makefile
+  sed -i -e 's/^DESTDIR.*$/DESTDIR = ..\/..\/pkg/' Makefile
+  sed -i -e 's/^INSTALL.*$/INSTALL = \/bin\/install/' Makefile
+  sed -i -e 's/^FEATURES.*$/FEATURES = -DCHDIR -DFASTTAG -DUCVISUAL -DMB -DBIT8/' Makefile
+  sed -i -e 's/^TERMLIB.*$/TERMLIB = ncurses/' Makefile
+  sed -i -e 's/^\.B \/usr\/libexec/.B \/usr\/lib\/ex/' vi.1
+  sed -i -e 's/^\.B \/var\/preserve$/.B \/var\/lib\/ex/' vi.1
+  patch -Np1 -i ../du.patch || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install
-  install -D -m644 ../LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  make install
+  install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/vi/LICENSE
+  install -D -m644 ${srcdir}/exrc.sample ${pkgdir}/etc/exrc.sample
 }
-## vim:set ts=2 sw=2 et:

Copied: vi/repos/testing-x86_64/du.patch (from rev 46741, vi/trunk/du.patch)
===================================================================
--- testing-x86_64/du.patch	                        (rev 0)
+++ testing-x86_64/du.patch	2009-07-20 02:28:30 UTC (rev 46743)
@@ -0,0 +1,67 @@
+diff -ru ex-050325/ex_tty.c ex-050325-du/ex_tty.c
+--- ex-050325/ex_tty.c	2005-03-04 13:42:58.000000000 +0100
++++ ex-050325-du/ex_tty.c	2009-06-25 20:06:57.000000000 +0200
+@@ -132,7 +132,8 @@
+ 	&ED, &EI, &F0, &F1, &F2, &F3, &F4, &F5, &F6, &F7, &F8, &F9,
+ 	&HO, &IC, &IM, &IP, &KD, &KE, &KH, &KL, &KR, &KS, &KU, &LL, &ND, &xNL,
+ 	&xPC, &RC, &SC, &SE, &SF, &SO, &SR, &TA, &TE, &TI, &UP, &VB, &VS, &VE,
+-	&AL_PARM, &DL_PARM, &UP_PARM, &DOWN_PARM, &LEFT_PARM, &RIGHT_PARM
++	&AL_PARM, &DL_PARM, &UP_PARM, &DOWN_PARM, &LEFT_PARM, &RIGHT_PARM,
++ 	&kI, &kD, &kh, &at7, &kP, &kN
+ };
+ bool *sflags[] = {
+ 	&AM, &BS, &DA, &DB, &EO, &HC,
+@@ -170,7 +171,12 @@
+ 	addmac1(KD, "j", "down", arrows, 1);
+ 	addmac1(KL, "h", "left", arrows, 1);
+ 	addmac1(KR, "l", "right", arrows, 1);
+-	addmac1(KH, "H", "home", arrows, 1);
++	addmac1(kI, "i", "insert", arrows, 1);
++	addmac1(kD, "x", "delete", arrows, 1);
++	addmac1(kh, "^", "home", arrows, 1);
++	addmac1(at7, "$", "end", arrows, 1);
++	addmac1(kP, "", "pgup", arrows, 1);
++	addmac1(kN, "", "pgdn", arrows, 1);
+ 
+ 	/*
+ 	 * Handle funny termcap capabilities
+@@ -341,7 +347,7 @@
+ 		*(*fp++) = flag;
+ 		namp += 2;
+ 	} while (*namp);
+-	namp = "albcbtcdceclcmcrcsdcdldmdoedeik0k1k2k3k4k5k6k7k8k9hoicimipkdkekhklkrkskullndnlpcrcscsesfsosrtatetiupvbvsveALDLUPDOLERI";
++	namp = "albcbtcdceclcmcrcsdcdldmdoedeik0k1k2k3k4k5k6k7k8k9hoicimipkdkekhklkrkskullndnlpcrcscsesfsosrtatetiupvbvsveALDLUPDOLERIkIkDkh at 7kPkN";
+ 	sp = sstrs;
+ 	do {
+ 		string = tgetstr(namp, &aoftspace);
+diff -ru ex-050325/ex_tty.h ex-050325-du/ex_tty.h
+--- ex-050325/ex_tty.h	2004-12-01 19:21:06.000000000 +0100
++++ ex-050325-du/ex_tty.h	2009-06-25 20:06:05.000000000 +0200
+@@ -183,6 +183,15 @@
+ var	bool	XX;		/* Tektronix 4025 insert line */
+ 	/* X? is reserved for severely nauseous glitches */
+ 	/* If there are enough of these we may need bit masks! */
++/*
++ * Insert, Delete, Home, End, PgUp an PgDown keys
++ */
++var	char	*kI;
++var	char	*kD;
++var	char	*kh;
++var	char	*at7;
++var	char	*kP;
++var	char	*kN;
+ 
+ /*
+  * From the tty modes...
+diff -ru ex-050325/libuxre/regnfa.c ex-050325-du/libuxre/regnfa.c
+--- ex-050325/libuxre/regnfa.c	2005-02-06 15:16:14.000000000 +0100
++++ ex-050325-du/libuxre/regnfa.c	2009-06-25 21:33:30.000000000 +0200
+@@ -535,7 +535,7 @@
+ 		* the alignments (given the varying length of rm[])
+ 		* are potentially nontrivial.
+ 		*/
+-		n = offsetof(Context, rm) + np->rmlen * sizeof(regmatch_t);
++		n = ((size_t)&cp->rm - (size_t)cp) + np->rmlen * sizeof(regmatch_t);
+ 		i = 4;
+ 		cpp = &np->avail;
+ 		while ((ncp = malloc(n)) != 0)

Copied: vi/repos/testing-x86_64/exrc.sample (from rev 46741, vi/trunk/exrc.sample)
===================================================================
--- testing-x86_64/exrc.sample	                        (rev 0)
+++ testing-x86_64/exrc.sample	2009-07-20 02:28:30 UTC (rev 46743)
@@ -0,0 +1,5 @@
+" A sample .exrc file. Copy it to your home dir as ~/.exrc in order to work.
+set showmode
+set noflash
+set autoindent
+set shiftwidth=2




More information about the arch-commits mailing list